Page MenuHomePhabricator

Stack overflow in remex_html serializer
Closed, ResolvedPublic

Description

Error Message

Fatal error: Stack overflow in /srv/mediawiki/php-1.31.0-wmf.4/vendor/wikimedia/remex-html/RemexHtml/Serializer/Serializer.php on line 274

Stack Trace

none available

Notes

Event Timeline

mmodell created this task.Oct 19 2017, 10:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2017, 10:21 PM

I'm not adding this as a blocker as the train has already ran, however, this seems to have started with wmf.4: T174360: 1.31.0-wmf.4 deployment blockers

mmodell added a subscriber: demon.Oct 19 2017, 10:23 PM
mmodell triaged this task as High priority.Oct 19 2017, 11:00 PM

Added to next week's train, just in case this is still an issue by then.

demon added a comment.Oct 20 2017, 9:10 PM

Actually, it started with wmf.3-ish. It's related to the new RemixHtml service that's replacing Tidy.

A user is reporting that going to https://fa.wikipedia.org/wiki/ژان-پل_سارتر is erroring with

Request from 86.147.143.221 via cp1054 cp1054, Varnish XID 570564814
Error: 503, Backend fetch failed at Thu, 26 Oct 2017 16:06:54 GMT

(i was told the problem is in this task)

I

A user is reporting that going to https://fa.wikipedia.org/wiki/ژان-پل_سارتر is erroring with
Request from 86.147.143.221 via cp1054 cp1054, Varnish XID 570564814
Error: 503, Backend fetch failed at Thu, 26 Oct 2017 16:06:54 GMT
(i was told the problem is in this task)

check that page its content is the attached file which I can not use this content in other pages and it shows the same error

at fa.wikipedia it has problem with ''{{گفتاورد|foo}}'' but it doesn't have any problem with {{گفتاورد|foo}}

Change 386730 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Temporary disable remex html

https://gerrit.wikimedia.org/r/386730

Change 386730 merged by jenkins-bot:
[operations/mediawiki-config@master] Temporary disable remex html

https://gerrit.wikimedia.org/r/386730

Mentioned in SAL (#wikimedia-operations) [2017-10-26T21:30:14Z] <hoo@tin> Synchronized wmf-config/InitialiseSettings.php: Temporary disable remex html (T178632) (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2017-10-26T21:32:33Z] <hoo@tin> Synchronized wmf-config/InitialiseSettings.php: Temporary disable remex html (T178632) (duration: 00m 50s)

Change 392028 had a related patch set uploaded (by Tim Starling; owner: Tim Starling):
[mediawiki/core@master] Fix RemexCompatMunger infinite recursion

https://gerrit.wikimedia.org/r/392028

Change 392028 merged by jenkins-bot:
[mediawiki/core@master] Fix RemexCompatMunger infinite recursion

https://gerrit.wikimedia.org/r/392028

Change 392185 had a related patch set uploaded (by Zoranzoki21; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Revert "Temporary disable remex html"

https://gerrit.wikimedia.org/r/392185

Change 392185 had a related patch set uploaded (by Zoranzoki21; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Revert "Temporary disable remex html"
https://gerrit.wikimedia.org/r/392185

I only added number of bug in commit message.

Change 392185 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Temporary disable remex html"

https://gerrit.wikimedia.org/r/392185

Mentioned in SAL (#wikimedia-operations) [2017-11-30T19:37:58Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:392185|Revert "Temporary disable remex html"]] T178632 (duration: 00m 49s)

cscott closed this task as Resolved.Nov 30 2017, 7:45 PM
cscott claimed this task.
cscott added a subscriber: cscott.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM